<?php
function biroe_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'biroe_page_menu_args' );


function biroe_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'biroe_excerpt_length' );

function biroe_continue_reading_link() {
	return ' <a href="'. get_permalink() . '">' . __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'biroe' ) . '</a>';
}

function biroe_auto_excerpt_more( $more ) {
	return ' &hellip;' . biroe_continue_reading_link();
}
add_filter( 'excerpt_more', 'biroe_auto_excerpt_more' );

function biroe_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= biroe_continue_reading_link();
	}
	return $output;
}
add_filter( 'get_the_excerpt', 'biroe_custom_excerpt_more' );

add_filter( 'use_default_gallery_style', '__return_false' );

function biroe_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}
// Backwards compatibility with WordPress 3.0.
if ( version_compare( $GLOBALS['wp_version'], '3.1', '<' ) )
	add_filter( 'gallery_style', 'biroe_remove_gallery_css' );
	
if ( ! isset( $content_width ) ) $content_width = 900;

if ( function_exists( 'add_theme_support' ) ) { 
  add_theme_support( 'post-thumbnails' ); 
}	

if ( ! function_exists( 'biroe_comment' ) ) :
function biroe_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'biroe' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'biroe' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'biroe' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'biroe' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'biroe' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'biroe' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;

function biroe_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Sidebar Left', 'biroe' ),
		'id' => 'sidebar-left',
		'description' => __( 'Left Sidebar', 'biroe' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Footer Left', 'biroe' ),
		'id' => 'footer-left',
		'description' => __( 'Footer Left', 'biroe' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Footer Middle', 'biroe' ),
		'id' => 'footer-middle',
		'description' => __( 'Footer Middle', 'biroe' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Footer Right', 'biroe' ),
		'id' => 'footer-right',
		'description' => __( 'Footer Right', 'biroe' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

}
add_action( 'widgets_init', 'biroe_widgets_init' );

function biroe_remove_recent_comments_style() {
	add_filter( 'show_recent_comments_widget_style', '__return_false' );
}
add_action( 'widgets_init', 'biroe_remove_recent_comments_style' );

add_theme_support('automatic-feed-links');

add_editor_style('custom-editor-style.css');