<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html <?php language_attributes(); ?> xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=<?php bloginfo( 'charset' ); ?>" >
<title><?php
	global $page, $paged;

	wp_title( '|', true, 'right' );

	bloginfo( 'name' );

	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'biroe' ), max( $paged, $page ) );

	?></title>
	
	<?php
		if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );
		wp_head();
	?>

	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/ie7.css" />
	<![endif]-->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.js" type="text/javascript"></script>
		<script src="<?php echo get_template_directory_uri(); ?>/js/fadeSliderToggle.js" type="text/javascript"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$(".fadeNext").click(function(){   
	  				$(this).next().fadeSliderToggle()
	 				 return false;
	 			})
	 		});	
 		</script>

</head>

<body <?php body_class(); ?>>


		<div id="wrapper"> <!-- start wrapper -->
			<!-- TOP -->
			<div id="top-menu"> <!-- start top menu -->
				<div id="top-navigation"> <!-- start top navigation -->
					<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
				</div> <!-- end top navigation -->
				<div class="clear"></div>
				<div id="top-title"> <!-- start top title -->
					<img id="logo" src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="logo"/>
					<h1><a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a></h1>
					<h3><?php bloginfo( 'description' ); ?></h3>
				</div> <!-- end top title -->
			</div> <!-- end top menu -->
			<!-- END TOP -->
			<div class="clear"></div>
